<?php
include("../conexion/conexion.php");
if(isset($_POST["valor"])){
    $a=$_POST["valor"];

    $cliente=new cliente();
    $buscliente=$cliente->buscliente($a);

 
}
if(isset($_POST["vendedor"])){

    $b=$_POST["vendedor"];
    $vendedor=new cliente();
    $busvendedor=$vendedor->vendedor($b);

}
if(isset($_POST["ventasClien"])){

    $cedual=$_POST["ventasClien"];
    $clien=new cliente();
    $buscaclien=$clien->ventasclientes($cedual);

}


if(isset($_POST["identificacionh"]) && isset($_POST["nombreh"])){

  
$id=$_POST["identificacionh"];
$nombre=$_POST["nombreh"];
$apellido=$_POST["apellidoh"];
$direcion=$_POST["direcion"];
$telefono=$_POST["telefono"];
$correo=$_POST["correo"];
$tipoIdentificacion=$_POST["tipoidentificacionh"];
$digitoVerificacion=$_POST["dvirificacion"];
$Naturaleza=$_POST["Naturaleza"];
$regimen=$_POST["regimen"];
$responsabilidad=$_POST["responsabilidades"];
$codCuidad=$_POST["codciudad"];
$tipocliente=$_POST["tipocliente"];
$descuento=$_POST["politicaDtoCrea"];
$alias=$_POST["aliasA"];



if($id && $nombre && $correo && $regimen && $codCuidad){    
    $crearc=new cliente();
    $validaCiu=$crearc->validarCiudad($codCuidad);
if($validaCiu){
    $cleinte=$crearc->crearcliente($id,$nombre,$direcion,$telefono,$apellido,
    $correo,$tipoIdentificacion,$digitoVerificacion,$Naturaleza,$regimen,$responsabilidad,$codCuidad,$tipocliente,$descuento,$alias);

}else{
    echo(json_encode(["estado"=>"ok","mensaje"=>"La ciudad selecionada no existe"]));
}
   
    
}else{
    echo(json_encode(["estado"=>"ok","mensaje"=>"Completo los datos solicitados"]));
}



}

if(isset($_POST["provedor"])){
    $prove=$_POST["provedor"];
    $Buscatipocliente=$_POST["Buscatipocliente"];
    $crearc=new cliente();
   $buscapro=$crearc->buscarprov($prove,$Buscatipocliente);

}
if(isset($_POST["ciudades"])){
    $ciudadD=$_POST["ciudades"];
    $ciudad=new cliente();
   $busciudad=$ciudad->ciudades($ciudadD);

}
if(isset($_POST["ventasElec"])){
  $fecha1= $_POST["fecha1"];
  $fecha2= $_POST["fecha2"];
  $bodega=$_POST["bodega"];
  $idtipobusDocm=$_POST["idtipobusDocm"];
  $elec=new cliente();
  $el=$elec->facturasElectron($fecha1, $fecha2,$bodega,$idtipobusDocm);

}

if(isset($_POST["ReportarTodas"])){
    $fecha1= $_POST["fecha1"];
    $fecha2= $_POST["fecha2"];
    $bodega=$_POST["bodega"];
    $elec=new cliente();
    $el=$elec->facturasElectronReportar($fecha1, $fecha2,$bodega);

}
if(isset($_POST["facElectro"])){
    $facturaEle=$_POST["facElectro"];
    $elec=new cliente();
    $el=$elec->renviarFacturElectron($facturaEle);
}
if(isset($_POST["estado"])){
    $estado=$_POST["estado"];
    $cufe=$_POST["cufe"];
    if($cufe=="" || $cufe==" "){
        $cufe=0;
    }
    $facturaEle=$_POST["numero"];

    $elec=new cliente();
    $el=$elec->renviarFacturElectron($facturaEle,$cufe,$estado);
}


class cliente{

function __construct()
{
    $conn=new conexion();
    $this->conectar=$conn->conectar();
    

}
public function buscarprov($nombre,$Buscatipocliente){
    $consulta="SELECT * 
FROM clientes 
WHERE (Nombre LIKE '%$nombre%' 
       OR apellido LIKE '%$nombre%' 
       OR Alias LIKE '%$nombre%') 
  AND otros = '$Buscatipocliente'";
   // $consulta="select * from clientes where Nombre  like ( '%$nombre%' or apellido  like '%$nombre%') and  otros='$Buscatipocliente'";
    // if(count( $consulta)>0)     
    $resultado=$this->conectar->query($consulta);
    $fila=$resultado->fetch_all(MYSQLI_ASSOC);
    echo(json_encode($fila));
  

}
public function ciudades($ciudad){
    $consulta="select * from ciudades where Ciudad like '%$ciudad%'";     
    $resultado=$this->conectar->query($consulta);
    $fila=$resultado->fetch_all(MYSQLI_ASSOC);
    echo(json_encode($fila));

}
public function  validarCiudad($codCiudad){
    $consulta="select * from ciudades where CodigoDIAN = '$codCiudad'";     
    $resultado=$this->conectar->query($consulta);
    if( $fila=mysqli_fetch_object($resultado)){
       return true;
    }else{
        return false;

    }


}

    public function buscliente($id){

       
        $consulta="select * from clientes where cedula='$id'";     
        $resultado=$this->conectar->query($consulta);
        if( $fila=mysqli_fetch_object($resultado)){
             echo (json_encode($fila));
        }else{
        $consulta="select * from clientes where telefono='$id'";     
        $resultado=$this->conectar->query($consulta);
        if( $fila=mysqli_fetch_object($resultado)){

            
             echo (json_encode($fila));

          
           }else{  
             $fila=["Nombre"=>"","direccion"=>""];
             echo (json_encode($fila));
           }

        }
    //    echo(var_dump($fila));

        

    }
    
public function facturasElectron($fecha1, $fecha2,$bodega,$idtipobusDocm){
       
if($idtipobusDocm=="todos"){
    $consulta1="SELECT * FROM `facturas` WHERE   LEFT(fechaFactura,10)  BETWEEN  '$fecha1' AND '$fecha2'  AND idbodegaF=$bodega and devolucion=0 and tipoFactura='Electronica'";     
    $resultado1=$this->conectar->query($consulta1);
    $fila1=$resultado1->fetch_all(MYSQLI_ASSOC); 
    echo (json_encode($fila1));

}else{

    $consulta1="SELECT * FROM `facturas` WHERE   LEFT(fechaFactura,10)  BETWEEN  '$fecha1' AND '$fecha2'  AND idbodegaF=$bodega and devolucion=0 and tipoFactura='Electronica' and cufe='0'";     
    $resultado1=$this->conectar->query($consulta1);
    $fila1=$resultado1->fetch_all(MYSQLI_ASSOC); 
    echo (json_encode($fila1));

}
      
    }

   public function facturasElectronReportar($fecha1, $fecha2,$bodega)
   {

    $consulta1="UPDATE `facturas` SET `EstadoEjecucion`='0'
     WHERE   LEFT(fechaFactura,10)  BETWEEN  '$fecha1' AND '$fecha2' 
      AND idbodegaF=$bodega and devolucion=0 and tipoFactura='Electronica'
       and cufe='0' and EstadoEjecucion='2' ";  
       
       

    $resultado1=$this->conectar->query($consulta1);
    $filas_actualizadas = $this->conectar->affected_rows;
    if($filas_actualizadas>0){
        
                    echo ("Actulizando estado de facturas");
            
    }else{
        $consulta1="UPDATE `facturas` SET `EstadoEjecucion`='0'
        WHERE   LEFT(fechaFactura,10)  BETWEEN  '$fecha1' AND '$fecha2' 
         AND idbodegaF=$bodega and devolucion=0 and tipoFactura='Electronica'
          and cufe='0' and EstadoEjecucion='1' ";  
          
          
   
       $resultado1=$this->conectar->query($consulta1);
       if($resultado1){
        echo ("Actulizando estado de facturas");
       }

    }

   }

    public function renviarFacturElectron($factura,$cufe=0,$estado="0"){
       


        if ($cufe != 0 && !empty(trim($cufe))) {
            $consulta1="UPDATE `facturas` SET `EstadoEjecucion`='1',`mensajeProveTecno`='$estado',
            `cufe`='$cufe' WHERE factura='$factura'";     
            $resultado1=$this->conectar->query($consulta1);
            
            if($resultado1){
                echo ("Actulizando estado de factura");
          
            }


        }else{
            $consulta1="UPDATE `facturas` SET `EstadoEjecucion`='0' WHERE factura='$factura'";     
            $resultado1=$this->conectar->query($consulta1);
            
            if($resultado1){
                echo ("Actulizando estado de factura");
          
            }
        }
       
      
 


       



    }

    public function ventasclientes($clien){
       
        if($clien=="222222222222"){
            $consulta1="select factura,fechaFactura,valor,detallef,vendedor from facturas  where cliente='$clien' and devolucion=0  ORDER BY fechaFactura DESC  LIMIT 2 ";  
        }else{
            $consulta1="select factura,fechaFactura,valor,detallef,vendedor from facturas  where cliente='$clien' and devolucion=0  ORDER BY fechaFactura DESC  LIMIT 3 ";  
        }
          
        $resultado1=$this->conectar->query($consulta1);
        $fila1=$resultado1->fetch_all(MYSQLI_ASSOC);
        

        $consulta2="SELECT * FROM `sucursalesclientes` where idClienteP='$clien'";

        $resultado2=$this->conectar->query($consulta2);
        $fila2=$resultado2->fetch_all(MYSQLI_ASSOC);

        echo (json_encode(["factCli"=>$fila1,"sucursaClien"=>$fila2]));
    }

    public function vendedor($b){
        $consulta="select * from vendedores where id='$b'";     
        $resultado=$this->conectar->query($consulta);
        if( $fila=mysqli_fetch_object($resultado)){
            echo (json_encode($fila));
        }else{
            $fila=["nombrev"=>""];
            echo (json_encode($fila));


        }

    }

    public function crearcliente($id,$nombre,$direcion,$telefono,$apellido,$correo,$tipoIdentificacion,$digitoVerificacion,$Naturaleza,$regimen,$responsabilidad,$codCuidad,$tipocliente,$descuento,$alias){
       

      if (empty(trim($direcion))) {
    $direcion="Sin direcion";
        }

        $fechaCreacion=date('Y-m-d H:i:s');
        $insertar=" INSERT INTO `clientes`(`tipoId`,`cedula`, `Nombre`, `direccion`, `telefono`, `apellido`,`Alias`, `correo`,`dv`, `naturaleza`, `regimen`,`responsabilidad`,`codigociudad`,`fechaCreacion`,`otros`,`dtoclie`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) ";
        $ejecutar=$this->conectar->prepare($insertar);
        $ejecutar->bind_param("ssssssssssssssss",$tipoIdentificacion,$id, $nombre, $direcion,$telefono,$apellido,$alias,$correo,$digitoVerificacion,$Naturaleza,$regimen,$responsabilidad,$codCuidad,$fechaCreacion,$tipocliente,$descuento);
        $ejecutar->execute();     

        if($ejecutar){

            echo(json_encode(["estado"=>"ok","mensaje"=>"cliente creado con exito","v"=>1]));
        }else{

            echo(json_encode(["estado"=>"ok","mensaje"=>"error al crear cliente"]));
        }
        
       



    }


}  




?>